package com.crm.rely.backend.core.dto.follow.deal.trade;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.Date;

/**
 *
 * @author y
 * @create 2022/5/20
 */
@Data
public class FollowDealOrderRecordListDto {

    private Long order;

    private String platform;

    private String cmd;

    private String symbol;

    private Float openPrice;

    private Float closePrice;

    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date openTime;

    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date closeTime;

    private Float sl;

    private Float tp;

    private Float volume;

    private Float storage;

    private Float commission;

    private Float profit;

    private Float totalProfit;

    public static FollowDealOrderRecordListDto getInstance(){
        FollowDealOrderRecordListDto dto = new FollowDealOrderRecordListDto();
        dto.setVolume(0F);
        dto.setStorage(0F);
        dto.setCommission(0F);
        dto.setProfit(0F);
        dto.setTotalProfit(0F);
        return dto;
    }

}
